<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" 
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" 
	layout:decorate="~{fragments/layout}">
<head>
	<title>Registrasi</title>
</head>
<body>

	<div layout:fragment="content" >
        <form class="row g-3" name="myform" th:action="@{~/regis}" th:object="${user}" method="Post" enctype="multipart/form-data" onsubmit="return validate()" style="padding: 30px;">
            <input type="hidden" th:field="*{id}" value="${id}">
            <div class="col-md-6">
              <label for="inputEmail4" class="form-label">Fullname</label>
              <input type="text" class="form-control" id="fullname" th:field="*{fullname}" value="${fullname}">
              <span class="valid" id="validfullname" style="color: red;"></span>
            </div>
            <div class="col-md-6">
              <label for="inputPassword4" class="form-label">Username</label>
              <input type="text" class="form-control" id="username" th:field="*{username}" value="${username}">
              <span class="valid" id="validusername" style="color: red;"></span>
            </div>
            <div class="col-md-6">
              <label for="inputEmail4" class="form-label">Email</label>
              <input type="email" class="form-control" id="email" th:field="*{email}" value="${email}">
              <span class="valid" id="validemail" style="color: red;"></span>
            </div>
            <div class="col-md-6">
              <label for="inputPassword4" class="form-label">Password</label>
              <input type="password" class="form-control" id="password" th:field="*{password}" value="${password}">
              <span class="valid" id="validpass" style="color: red;"></span>
            </div>
            <div class="col-12">
              <label for="inputAddress" class="form-label">Alamat</label>
              <input type="text" class="form-control" id="alamat" placeholder="Alamat lengkap ..." th:field="*{alamat}" value="${alamat}">
              <span class="valid" id="validalamat" style="color: red;"></span>
            </div>
            <div class="col-12">
              <label for="inputAddress" class="form-label">Photo KTP</label>
              <input type="text" class="form-control" th:field="*{photo}" id="phototext" th:value="${photo}">
              <input type="file" class="form-control" id="filename" name="photofile" onchange="readurl(this)">
              <br><img src="#" id="avatar" alt="Photo" height="100px">
            </div>
           
            <div class="col-12">
              <button type="submit" class="btn btn-primary">Registrasi</button>
            </div>
          </form>
          <script>
            function readurl(input){
                if(input.files && input.files[0]){
                    var reader = new FileReader();
                    
                    reader.onload = function(e){
                        $('#avatar').attr('src', e.target.result);
                        $('#phototext').val($('input[type=file]').val().replace(/C:\\fakepath\\/i,''))
                        //temporary
                    };
                    reader.readAsDataURL(input.files[0]);
                }
            }
            function validate(){
                var email = document.forms["myform"]["email"].value;
                console.log(email.length)
                if(email=="" || email.length < 3 || email.length > 200){
                    $('#validemail').html("Email harus diisi ... min 3 max 200 karakter")
                    return false;
                }
                var username = document.forms["myform"]["username"].value;
                console.log(username.length)
                if(username=="" || username.length < 3 || username.length>200){
                    $('#validusername').html("Username harus diisi ... min 3 max 200 karakter")
                    return false;
                }
                var password = document.forms["myform"]["password"].value;
                if(password=="" || password.length < 8 ){
                    $('#validpass').html("Password min 8 karakter")
                    return false;
                }
                var fullname = document.forms["myform"]["fullname"].value;
                if(fullname=="" || fullname.length < 3 ){
                    $('#validfullname').html("Fullname min 3 karakter")
                    return false;
                }
                var alamat = document.forms["myform"]["alamat"].value;
                if(fullname=="" ){
                    $('#validalamat').html("Alamat wajib diisi")
                    return false;
                }
            }
        </script>
    </div>
    
</body>
</html>